List notification settings
List notification settings.
GET
/
notification_settings
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const notificationSetting of client.notificationSettings.list()) {
console.log(notificationSetting.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.notification_settings.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.NotificationSettings.List(context.TODO(), telnyx.NotificationSettingListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.notificationsettings.NotificationSettingListPage;
import com.telnyx.sdk.models.notificationsettings.NotificationSettingListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
NotificationSettingListPage page = client.notificationSettings().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.notification_settings.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->notificationSettings->list(
filter: [
'associatedRecordType' => ['eq' => 'phone_number'],
'channelTypeID' => ['eq' => 'webhook'],
'notificationChannel' => ['eq' => '12455643-3cf1-4683-ad23-1cd32f7d5e0a'],
'notificationEventConditionID' => [
'eq' => '12455643-3cf1-4683-ad23-1cd32f7d5e0a'
],
'notificationProfileID' => [
'eq' => '12455643-3cf1-4683-ad23-1cd32f7d5e0a'
],
'status' => ['eq' => 'enable-received'],
],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx notification-settings list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/notification_settings \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "8eb5b5f9-5893-423c-9f15-b487713d44d4",
"notification_event_condition_id": "70c7c5cb-dce2-4124-accb-870d39dbe852",
"notification_profile_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"associated_record_type": "phone_number",
"associated_record_type_value": "+13125550000",
"status": "enable-received",
"notification_channel_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"parameters": [
{
"name": "phone_number",
"value": "+13125550000"
}
],
"created_at": "2019-10-15T10:07:15.527Z",
"updated_at": "2019-10-15T10:07:15.527Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated page parameter (deepObject style). Originally: page[number], page[size]
Show child attributes
Show child attributes
Consolidated filter parameter (deepObject style). Originally: filter[associated_record_type][eq], filter[channel_type_id][eq], filter[notification_profile_id][eq], filter[notification_channel][eq], filter[notification_event_condition_id][eq], filter[status][eq]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const notificationSetting of client.notificationSettings.list()) {
console.log(notificationSetting.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.notification_settings.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.NotificationSettings.List(context.TODO(), telnyx.NotificationSettingListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.notificationsettings.NotificationSettingListPage;
import com.telnyx.sdk.models.notificationsettings.NotificationSettingListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
NotificationSettingListPage page = client.notificationSettings().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.notification_settings.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->notificationSettings->list(
filter: [
'associatedRecordType' => ['eq' => 'phone_number'],
'channelTypeID' => ['eq' => 'webhook'],
'notificationChannel' => ['eq' => '12455643-3cf1-4683-ad23-1cd32f7d5e0a'],
'notificationEventConditionID' => [
'eq' => '12455643-3cf1-4683-ad23-1cd32f7d5e0a'
],
'notificationProfileID' => [
'eq' => '12455643-3cf1-4683-ad23-1cd32f7d5e0a'
],
'status' => ['eq' => 'enable-received'],
],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx notification-settings list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/notification_settings \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "8eb5b5f9-5893-423c-9f15-b487713d44d4",
"notification_event_condition_id": "70c7c5cb-dce2-4124-accb-870d39dbe852",
"notification_profile_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"associated_record_type": "phone_number",
"associated_record_type_value": "+13125550000",
"status": "enable-received",
"notification_channel_id": "12455643-3cf1-4683-ad23-1cd32f7d5e0a",
"parameters": [
{
"name": "phone_number",
"value": "+13125550000"
}
],
"created_at": "2019-10-15T10:07:15.527Z",
"updated_at": "2019-10-15T10:07:15.527Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}